// D import file generated from 'derelict/devil/il.d'
module derelict.devil.il;
private 
{
	import derelict.util.loader;
	import derelict.util.system;
	static if (Derelict_OS_Windows)
	{
		enum libNames = "devil.dll";
	}
	else
	{
		static if (Derelict_OS_Mac)
		{
			enum libNames = "libIL.dylib";
		}
		else
		{
			static if (Derelict_OS_Posix)
			{
				enum libNames = "libIL.so";
			}
			else
			{
				static assert(0, "Need to implement DevIL libNames for this operating system.");
			}
		}
	}
}
alias ILenum = uint;
alias ILboolean = ubyte;
alias ILbitfield = uint;
alias ILbyte = byte;
alias ILshort = short;
alias ILint = int;
alias ILsizei = size_t;
alias ILubyte = ubyte;
alias ILushort = ushort;
alias ILuint = uint;
alias ILfloat = float;
alias ILclampf = float;
alias ILdouble = double;
alias ILclampd = double;
alias ILint64 = long;
alias ILuint64 = ulong;
version (DerelictIL_Unicode)
{
	alias ILchar = wchar;
	alias ILstring = wchar*;
	alias ILconst_string = const(wchar)*;
}
else
{
	alias ILchar = char;
	alias ILstring = char*;
	alias ILconst_string = const(char)*;
}
enum : ILboolean
{
	IL_FALSE = 0,
	IL_TRUE = 1,
}
enum : ILenum
{
	IL_COLOUR_INDEX = 6400,
	IL_COLOR_INDEX = 6400,
	IL_RGB = 6407,
	IL_RGBA = 6408,
	IL_BGR = 32992,
	IL_BGRA = 32993,
	IL_LUMINANCE = 6409,
	IL_LUMINANCE_ALPHA = 6410,
	IL_BYTE = 5120,
	IL_UNSIGNED_BYTE = 5121,
	IL_SHORT = 5122,
	IL_UNSIGNED_SHORT = 5123,
	IL_INT = 5124,
	IL_UNSIGNED_INT = 5125,
	IL_FLOAT = 5126,
	IL_DOUBLE = 5130,
	IL_HALF = 5131,
	IL_MAX_BYTE = (byte).max,
	IL_MAX_UNSIGNED_BYTE = (ubyte).max,
	IL_MAX_SHORT = (short).max,
	IL_MAX_UNSIGNED_SHORT = (ushort).max,
	IL_MAX_INT = (int).max,
	IL_MAX_UNSIGNED_INT = (uint).max,
	IL_VENDOR = 7936,
	IL_LOAD_EXT = 7937,
	IL_SAVE_EXT = 7938,
	IL_VERSION_1_7_8 = 1,
	IL_VERSION = 178,
	IL_ORIGIN_BIT = 1,
	IL_FILE_BIT = 2,
	IL_PAL_BIT = 4,
	IL_FORMAT_BIT = 8,
	IL_TYPE_BIT = 16,
	IL_COMPRESS_BIT = 32,
	IL_LOADFAIL_BIT = 64,
	IL_FORMAT_SPECIFIC_BIT = 128,
	IL_ALL_ATTRIB_BITS = 1048575,
	IL_PAL_NONE = 1024,
	IL_PAL_RGB24 = 1025,
	IL_PAL_RGB32 = 1026,
	IL_PAL_RGBA32 = 1027,
	IL_PAL_BGR24 = 1028,
	IL_PAL_BGR32 = 1029,
	IL_PAL_BGRA32 = 1030,
	IL_TYPE_UNKNOWN = 0,
	IL_BMP = 1056,
	IL_CUT = 1057,
	IL_DOOM = 1058,
	IL_DOOM_FLAT = 1059,
	IL_ICO = 1060,
	IL_JPG = 1061,
	IL_JFIF = 1061,
	IL_ILBM = 1062,
	IL_PCD = 1063,
	IL_PCX = 1064,
	IL_PIC = 1065,
	IL_PNG = 1066,
	IL_PNM = 1067,
	IL_SGI = 1068,
	IL_TGA = 1069,
	IL_TIF = 1070,
	IL_CHEAD = 1071,
	IL_RAW = 1072,
	IL_MDL = 1073,
	IL_WAL = 1074,
	IL_LIF = 1076,
	IL_MNG = 1077,
	IL_JNG = 1077,
	IL_GIF = 1078,
	IL_DDS = 1079,
	IL_DCX = 1080,
	IL_PSD = 1081,
	IL_EXIF = 1082,
	IL_PSP = 1083,
	IL_PIX = 1084,
	IL_PXR = 1085,
	IL_XPM = 1086,
	IL_HDR = 1087,
	IL_ICNS = 1088,
	IL_JP2 = 1089,
	IL_EXR = 1090,
	IL_WDP = 1091,
	IL_VTF = 1092,
	IL_WBMP = 1093,
	IL_SUN = 1094,
	IL_IFF = 1095,
	IL_TPL = 1096,
	IL_FITS = 1097,
	IL_DICOM = 1098,
	IL_IWI = 1099,
	IL_BLP = 1100,
	IL_FTX = 1101,
	IL_ROT = 1102,
	IL_TEXTURE = 1103,
	IL_DPX = 1104,
	IL_UTX = 1105,
	IL_MP3 = 1106,
	IL_JASC_PAL = 1141,
	IL_NO_ERROR = 0,
	IL_INVALID_ENUM = 1281,
	IL_OUT_OF_MEMORY = 1282,
	IL_FORMAT_NOT_SUPPORTED = 1283,
	IL_INTERNAL_ERROR = 1284,
	IL_INVALID_VALUE = 1285,
	IL_ILLEGAL_OPERATION = 1286,
	IL_ILLEGAL_FILE_VALUE = 1287,
	IL_INVALID_FILE_HEADER = 1288,
	IL_INVALID_PARAM = 1289,
	IL_COULD_NOT_OPEN_FILE = 1290,
	IL_INVALID_EXTENSION = 1291,
	IL_FILE_ALREADY_EXISTS = 1292,
	IL_OUT_FORMAT_SAME = 1293,
	IL_STACK_OVERFLOW = 1294,
	IL_STACK_UNDERFLOW = 1295,
	IL_INVALID_CONVERSION = 1296,
	IL_BAD_DIMENSIONS = 1297,
	IL_FILE_READ_ERROR = 1298,
	IL_FILE_WRITE_ERROR = 1298,
	IL_LIB_GIF_ERROR = 1505,
	IL_LIB_JPEG_ERROR = 1506,
	IL_LIB_PNG_ERROR = 1507,
	IL_LIB_TIFF_ERROR = 1508,
	IL_LIB_MNG_ERROR = 1509,
	IL_LIB_JP2_ERROR = 1510,
	IL_UNKNOWN_ERROR = 1535,
	IL_ORIGIN_SET = 1536,
	IL_ORIGIN_LOWER_LEFT = 1537,
	IL_ORIGIN_UPPER_LEFT = 1538,
	IL_ORIGIN_MODE = 1539,
	IL_FORMAT_SET = 1552,
	IL_FORMAT_MODE = 1553,
	IL_TYPE_SET = 1554,
	IL_TYPE_MODE = 1555,
	IL_FILE_OVERWRITE = 1568,
	IL_FILE_MODE = 1569,
	IL_CONV_PAL = 1584,
	IL_DEFAULT_ON_FAIL = 1586,
	IL_USE_KEY_COLOUR = 1589,
	IL_USE_KEY_COLOR = 1589,
	IL_BLIT_BLEND = 1590,
	IL_SAVE_INTERLACED = 1593,
	IL_INTERLACE_MODE = 1594,
	IL_QUANTIZATION_MODE = 1600,
	IL_WU_QUANT = 1601,
	IL_NEU_QUANT = 1602,
	IL_NEU_QUANT_SAMPLE = 1603,
	IL_MAX_QUANT_INDEXS = 1604,
	IL_MAX_QUANT_INDICES = 1604,
	IL_FASTEST = 1632,
	IL_LESS_MEM = 1633,
	IL_DONT_CARE = 1634,
	IL_MEM_SPEED_HINT = 1637,
	IL_USE_COMPRESSION = 1638,
	IL_NO_COMPRESSION = 1639,
	IL_COMPRESSION_HINT = 1640,
	IL_NVIDIA_COMPRESS = 1648,
	IL_SQUISH_COMPRESS = 1649,
	IL_SUB_NEXT = 1664,
	IL_SUB_MIPMAP = 1665,
	IL_SUB_LAYER = 1666,
	IL_COMPRESS_MODE = 1792,
	IL_COMPRESS_NONE = 1793,
	IL_COMPRESS_RLE = 1794,
	IL_COMPRESS_LZO = 1795,
	IL_COMPRESS_ZLIB = 1796,
	IL_TGA_CREATE_STAMP = 1808,
	IL_JPG_QUALITY = 1809,
	IL_PNG_INTERLACE = 1810,
	IL_TGA_RLE = 1811,
	IL_BMP_RLE = 1812,
	IL_SGI_RLE = 1813,
	IL_TGA_ID_STRING = 1815,
	IL_TGA_AUTHNAME_STRING = 1816,
	IL_TGA_AUTHCOMMENT_STRING = 1817,
	IL_PNG_AUTHNAME_STRING = 1818,
	IL_PNG_TITLE_STRING = 1819,
	IL_PNG_DESCRIPTION_STRING = 1820,
	IL_TIF_DESCRIPTION_STRING = 1821,
	IL_TIF_HOSTCOMPUTER_STRING = 1822,
	IL_TIF_DOCUMENTNAME_STRING = 1823,
	IL_TIF_AUTHNAME_STRING = 1824,
	IL_JPG_SAVE_FORMAT = 1825,
	IL_CHEAD_HEADER_STRING = 1826,
	IL_PCD_PICNUM = 1827,
	IL_PNG_ALPHA_INDEX = 1828,
	IL_JPG_PROGRESSIVE = 1829,
	IL_VTF_COMP = 1830,
	IL_DXTC_FORMAT = 1797,
	IL_DXT1 = 1798,
	IL_DXT2 = 1799,
	IL_DXT3 = 1800,
	IL_DXT4 = 1801,
	IL_DXT5 = 1802,
	IL_DXT_NO_COMP = 1803,
	IL_KEEP_DXTC_DATA = 1804,
	IL_DXTC_DATA_FORMAT = 1805,
	IL_3DC = 1806,
	IL_RXGB = 1807,
	IL_ATI1N = 1808,
	IL_DXT1A = 1809,
	IL_CUBEMAP_POSITIVEX = 1024,
	IL_CUBEMAP_NEGATIVEX = 2048,
	IL_CUBEMAP_POSITIVEY = 4096,
	IL_CUBEMAP_NEGATIVEY = 8192,
	IL_CUBEMAP_POSITIVEZ = 16384,
	IL_CUBEMAP_NEGATIVEZ = 32768,
	IL_SPHEREMAP = 65536,
	IL_VERSION_NUM = 3554,
	IL_IMAGE_WIDTH = 3556,
	IL_IMAGE_HEIGHT = 3557,
	IL_IMAGE_DEPTH = 3558,
	IL_IMAGE_SIZE_OF_DATA = 3559,
	IL_IMAGE_BPP = 3560,
	IL_IMAGE_BYTES_PER_PIXEL = 3560,
	IL_IMAGE_BITS_PER_PIXEL = 3561,
	IL_IMAGE_FORMAT = 3562,
	IL_IMAGE_TYPE = 3563,
	IL_PALETTE_TYPE = 3564,
	IL_PALETTE_SIZE = 3565,
	IL_PALETTE_BPP = 3566,
	IL_PALETTE_NUM_COLS = 3567,
	IL_PALETTE_BASE_TYPE = 3568,
	IL_NUM_FACES = 3553,
	IL_NUM_IMAGES = 3569,
	IL_NUM_MIPMAPS = 3570,
	IL_NUM_LAYERS = 3571,
	IL_ACTIVE_IMAGE = 3572,
	IL_ACTIVE_MIPMAP = 3573,
	IL_ACTIVE_LAYER = 3574,
	IL_ACTIVE_FACE = 3584,
	IL_CUR_IMAGE = 3575,
	IL_IMAGE_DURATION = 3576,
	IL_IMAGE_PLANESIZE = 3577,
	IL_IMAGE_BPC = 3578,
	IL_IMAGE_OFFX = 3579,
	IL_IMAGE_OFFY = 3580,
	IL_IMAGE_CUBEFLAGS = 3581,
	IL_IMAGE_ORIGIN = 3582,
	IL_IMAGE_CHANNELS = 3583,
}
enum : ILint
{
	IL_SEEK_SET = 0,
	IL_SEEK_CUR = 1,
	IL_SEEK_END = 2,
	IL_EOF = 1,
}
alias ILHANDLE = void*;
extern (C) nothrow 
{
	alias fCloseRProc = void function(ILHANDLE);
	alias fEofProc = ILboolean function(ILHANDLE);
	alias fGetcProc = ILint function(ILHANDLE);
	alias fOpenRProc = ILHANDLE function(ILconst_string);
	alias fReadProc = ILint function(void*, ILuint, ILuint, ILHANDLE);
	alias fSeekRProc = ILint function(ILHANDLE, ILint, ILint);
	alias fTellRProc = ILint function(ILHANDLE);
	alias fCloseWProc = void function(ILHANDLE);
	alias fOpenWProc = ILHANDLE function(ILconst_string);
	alias fPutcProc = ILint function(ILubyte, ILHANDLE);
	alias fSeekWProc = ILint function(ILHANDLE, ILint, ILint);
	alias fTellWProc = ILint function(ILHANDLE);
	alias fWriteProc = ILint function(const(void)*, ILuint, ILuint, ILHANDLE);
	alias mAlloc = void* function(const(ILsizei));
	alias mFree = void function(const(void)*);
	alias IL_LOADPROC = ILenum function(ILconst_string);
	alias IL_SAVEPROC = ILenum function(ILconst_string);
}
extern (C) nothrow @nogc 
{
	alias da_ilActiveFace = ILboolean function(ILuint);
	alias da_ilActiveImage = ILboolean function(ILuint);
	alias da_ilActiveLayer = ILboolean function(ILuint);
	alias da_ilActiveMipmap = ILboolean function(ILuint);
	alias da_ilApplyPal = ILboolean function(ILconst_string);
	alias da_ilApplyProfile = ILboolean function(ILstring, ILstring);
	alias da_ilBindImage = void function(ILuint);
	alias da_ilBlit = ILboolean function(ILuint, ILint, ILint, ILint, ILuint, ILuint, ILuint, ILuint, ILuint, ILuint);
	alias da_ilClampNTSC = ILboolean function();
	alias da_ilClearColour = void function(ILclampf, ILclampf, ILclampf, ILclampf);
	alias da_ilClearImage = ILboolean function();
	alias da_ilCloneCurImage = ILuint function();
	alias da_ilCompressDXT = ILubyte* function(ILubyte*, ILuint, ILuint, ILuint, ILenum, ILuint*);
	alias da_ilCompressFunc = ILboolean function(ILenum);
	alias da_ilConvertImage = ILboolean function(ILenum, ILenum);
	alias da_ilConvertPal = ILboolean function(ILenum);
	alias da_ilCopyImage = ILboolean function(ILuint);
	alias da_ilCopyPixels = ILuint function(ILuint, ILuint, ILuint, ILuint, ILuint, ILuint, ILenum, ILenum, void*);
	alias da_ilCreateSubImage = ILuint function(ILenum, ILuint);
	alias da_ilDefaultImage = ILboolean function();
	alias da_ilDeleteImage = void function(ILuint);
	alias da_ilDeleteImages = void function(ILsizei, in ILuint*);
	alias da_ilDetermineType = ILenum function(ILconst_string);
	alias da_ilDetermineTypeF = ILenum function(ILHANDLE);
	alias da_ilDetermineTypeL = ILenum function(const(void)*, ILuint);
	alias da_ilDisable = ILboolean function(ILenum);
	alias da_ilDxtcDataToImage = ILboolean function();
	alias da_ilDxtcDataToSurface = ILboolean function();
	alias da_ilEnable = ILboolean function(ILenum);
	alias da_ilFormatFunc = ILboolean function(ILenum);
	alias da_ilGenImages = void function(ILsizei, ILuint*);
	alias da_ilGenImage = ILuint function();
	alias da_ilGetAlpha = ILubyte* function(ILenum);
	alias da_ilGetBoolean = ILboolean function(ILenum);
	alias da_ilGetBooleanv = void function(ILenum, ILboolean*);
	alias da_ilGetData = ILubyte* function();
	alias da_ilGetDXTCData = ILuint function(void*, ILuint, ILenum);
	alias da_ilGetError = ILenum function();
	alias da_ilGetInteger = ILint function(ILenum);
	alias da_ilGetIntegerv = void function(ILenum, ILint*);
	alias da_ilGetLumpPos = ILuint function();
	alias da_ilGetPalette = ILubyte* function();
	alias da_ilGetString = ILstring function(ILenum);
	alias da_ilHint = void function(ILenum, ILenum);
	alias da_ilInit = void function();
	alias da_ilImageToDxtcData = ILboolean function(ILenum);
	alias da_ilIsDisabled = ILboolean function(ILenum);
	alias da_ilIsEnabled = ILboolean function(ILenum);
	alias da_ilIsImage = ILboolean function(ILuint);
	alias da_ilIsValid = ILboolean function(ILenum, ILstring);
	alias da_ilIsValidF = ILboolean function(ILenum, ILHANDLE);
	alias da_ilIsValidL = ILboolean function(ILenum, void*, ILuint);
	alias da_ilKeyColour = void function(ILclampf, ILclampf, ILclampf, ILclampf);
	alias da_ilLoad = ILboolean function(ILenum, ILconst_string);
	alias da_ilLoadF = ILboolean function(ILenum, ILHANDLE);
	alias da_ilLoadImage = ILboolean function(ILconst_string);
	alias da_ilLoadL = ILboolean function(ILenum, in void*, ILuint);
	alias da_ilLoadPal = ILboolean function(ILconst_string);
	alias da_ilModAlpha = void function(ILdouble);
	alias da_ilOriginFunc = ILboolean function(ILenum);
	alias da_ilOverlayImage = ILboolean function(ILuint, ILint, ILint, ILint);
	alias da_ilPopAttrib = void function();
	alias da_ilPushAttrib = void function(ILuint);
	alias da_ilRegisterFormat = void function(ILenum);
	alias da_ilRegisterLoad = ILboolean function(ILconst_string, IL_LOADPROC);
	alias da_ilRegisterMipNum = ILboolean function(ILuint);
	alias da_ilRegisterNumImages = ILboolean function(ILuint);
	alias da_ilRegisterOrigin = void function(ILenum);
	alias da_ilRegisterPal = void function(void*, ILuint, ILenum);
	alias da_ilRegisterSave = ILboolean function(ILconst_string, IL_SAVEPROC);
	alias da_ilRegisterType = void function(ILenum);
	alias da_ilRemoveLoad = ILboolean function(ILconst_string);
	alias da_ilRemoveSave = ILboolean function(ILconst_string);
	alias da_ilResetRead = void function();
	alias da_ilResetWrite = void function();
	alias da_ilSave = ILboolean function(ILenum, ILconst_string);
	alias da_ilSaveF = ILuint function(ILenum, ILHANDLE);
	alias da_ilSaveImage = ILboolean function(ILconst_string);
	alias da_ilSaveL = ILuint function(ILenum, void*, ILuint);
	alias da_ilSavePal = ILboolean function(ILconst_string);
	alias da_ilSetAlpha = ILboolean function(ILdouble);
	alias da_ilSetData = ILboolean function(void*);
	alias da_ilSetDuration = ILboolean function(ILuint);
	alias da_ilSetInteger = void function(ILenum, ILint);
	alias da_ilSetMemory = void function(mAlloc, mFree);
	alias da_ilSetPixels = void function(ILint, ILint, ILint, ILuint, ILuint, ILuint, ILenum, ILenum, void*);
	alias da_ilSetRead = void function(fOpenRProc, fCloseRProc, fEofProc, fGetcProc, fReadProc, fSeekRProc, fTellRProc);
	alias da_ilSetString = void function(ILenum, in char*);
	alias da_ilSetWrite = void function(fOpenWProc, fCloseWProc, fPutcProc, fSeekWProc, fTellWProc, fWriteProc);
	alias da_ilShutDown = void function();
	alias da_ilSurfaceToDxtcData = ILboolean function(ILenum);
	alias da_ilTexImage = ILboolean function(ILuint, ILuint, ILuint, ILubyte, ILenum, ILenum, void*);
	alias da_ilTexImageDxtc = ILboolean function(ILint, ILuint, ILuint, ILubyte, ILenum, ILenum, void*);
	alias da_ilTypeFromExt = ILenum function(ILconst_string);
	alias da_ilTypeFunc = ILboolean function(ILenum);
	alias da_ilLoadData = ILboolean function(ILconst_string, ILuint, ILuint, ILuint, ILubyte);
	alias da_ilLoadDataF = ILboolean function(ILHANDLE, ILuint, ILuint, ILuint, ILubyte);
	alias da_ilLoadDataL = ILboolean function(void*, ILuint, ILuint, ILuint, ILuint, ILubyte);
	alias da_ilSaveData = ILboolean function(ILconst_string);
}
__gshared 
{
	da_ilActiveFace ilActiveFace;
	da_ilActiveImage ilActiveImage;
	da_ilActiveLayer ilActiveLayer;
	da_ilActiveMipmap ilActiveMipmap;
	da_ilApplyPal ilApplyPal;
	da_ilApplyProfile ilApplyProfile;
	da_ilBindImage ilBindImage;
	da_ilBlit ilBlit;
	da_ilClampNTSC ilClampNTSC;
	da_ilClearColour ilClearColour;
	da_ilClearImage ilClearImage;
	da_ilCloneCurImage ilCloneCurImage;
	da_ilCompressDXT ilCompressDXT;
	da_ilCompressFunc ilCompressFunc;
	da_ilConvertImage ilConvertImage;
	da_ilConvertPal ilConvertPal;
	da_ilCopyImage ilCopyImage;
	da_ilCopyPixels ilCopyPixels;
	da_ilCreateSubImage ilCreateSubImage;
	da_ilDefaultImage ilDefaultImage;
	da_ilDeleteImage ilDeleteImage;
	da_ilDeleteImages ilDeleteImages;
	da_ilDetermineType ilDetermineType;
	da_ilDetermineTypeF ilDetermineTypeF;
	da_ilDetermineTypeL ilDetermineTypeL;
	da_ilDisable ilDisable;
	da_ilDxtcDataToImage ilDxtcDataToImage;
	da_ilDxtcDataToSurface ilDxtcDataToSurface;
	da_ilEnable ilEnable;
	da_ilFormatFunc ilFormatFunc;
	da_ilGenImages ilGenImages;
	da_ilGenImage ilGenImage;
	da_ilGetAlpha ilGetAlpha;
	da_ilGetBoolean ilGetBoolean;
	da_ilGetBooleanv ilGetBooleanv;
	da_ilGetData ilGetData;
	da_ilGetDXTCData ilGetDXTCData;
	da_ilGetError ilGetError;
	da_ilGetInteger ilGetInteger;
	da_ilGetIntegerv ilGetIntegerv;
	da_ilGetLumpPos ilGetLumpPos;
	da_ilGetPalette ilGetPalette;
	da_ilGetString ilGetString;
	da_ilHint ilHint;
	da_ilInit ilInit;
	da_ilImageToDxtcData ilImageToDxtcData;
	da_ilIsDisabled ilIsDisabled;
	da_ilIsEnabled ilIsEnabled;
	da_ilIsImage ilIsImage;
	da_ilIsValid ilIsValid;
	da_ilIsValidF ilIsValidF;
	da_ilIsValidL ilIsValidL;
	da_ilKeyColour ilKeyColour;
	da_ilLoad ilLoad;
	da_ilLoadF ilLoadF;
	da_ilLoadImage ilLoadImage;
	da_ilLoadL ilLoadL;
	da_ilLoadPal ilLoadPal;
	da_ilModAlpha ilModAlpha;
	da_ilOriginFunc ilOriginFunc;
	da_ilOverlayImage ilOverlayImage;
	da_ilPopAttrib ilPopAttrib;
	da_ilPushAttrib ilPushAttrib;
	da_ilRegisterFormat ilRegisterFormat;
	da_ilRegisterLoad ilRegisterLoad;
	da_ilRegisterMipNum ilRegisterMipNum;
	da_ilRegisterNumImages ilRegisterNumImages;
	da_ilRegisterOrigin ilRegisterOrigin;
	da_ilRegisterPal ilRegisterPal;
	da_ilRegisterSave ilRegisterSave;
	da_ilRegisterType ilRegisterType;
	da_ilRemoveLoad ilRemoveLoad;
	da_ilRemoveSave ilRemoveSave;
	da_ilResetRead ilResetRead;
	da_ilResetWrite ilResetWrite;
	da_ilSave ilSave;
	da_ilSaveF ilSaveF;
	da_ilSaveImage ilSaveImage;
	da_ilSaveL ilSaveL;
	da_ilSavePal ilSavePal;
	da_ilSetAlpha ilSetAlpha;
	da_ilSetData ilSetData;
	da_ilSetDuration ilSetDuration;
	da_ilSetInteger ilSetInteger;
	da_ilSetMemory ilSetMemory;
	da_ilSetPixels ilSetPixels;
	da_ilSetRead ilSetRead;
	da_ilSetString ilSetString;
	da_ilSetWrite ilSetWrite;
	da_ilShutDown ilShutDown;
	da_ilSurfaceToDxtcData ilSurfaceToDxtcData;
	da_ilTexImage ilTexImage;
	da_ilTexImageDxtc ilTexImageDxtc;
	da_ilTypeFromExt ilTypeFromExt;
	da_ilTypeFunc ilTypeFunc;
	da_ilLoadData ilLoadData;
	da_ilLoadDataF ilLoadDataF;
	da_ilLoadDataL ilLoadDataL;
	da_ilSaveData ilSaveData;
	alias ilClearColor = ilClearColour;
	alias ilKeyColor = ilKeyColour;
}
class DerelictILLoader : SharedLibLoader
{
	public this()
	{
		super(libNames);
	}
	protected override void loadSymbols();
}
__gshared DerelictILLoader DerelictIL;
shared static this();
